summaryrefslogtreecommitdiff
path: root/sys-cluster/kind/kind-0.33.0.ebuild
diff options
context:
space:
mode:
authorLibravatar Terin Stock <terinjokes@gmail.com>2026-10-04 19:10:35 +0200
committerLibravatar Terin Stock <terinjokes@gmail.com>2026-10-04 19:10:35 +0200
commitd1a6c6fe18747c1c0d17d9413f326d4c2ddfe764 (patch)
treea7a3bc22b1b792fed0faaf25f3e6b930ddba7bf4 /sys-cluster/kind/kind-0.33.0.ebuild
parentdev-go/staticcheck: add 2026.2.1, drop 2026.1 (diff)
downloadebuilds-d1a6c6fe18747c1c0d17d9413f326d4c2ddfe764.tar.xz
sys-cluster/kind: add 0.33.0, drop 0.31.0HEADtrunk
Diffstat (limited to 'sys-cluster/kind/kind-0.33.0.ebuild')
-rw-r--r--sys-cluster/kind/kind-0.33.0.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/sys-cluster/kind/kind-0.33.0.ebuild b/sys-cluster/kind/kind-0.33.0.ebuild
new file mode 100644
index 0000000..f110a5c
--- /dev/null
+++ b/sys-cluster/kind/kind-0.33.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2020-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module shell-completion
+
+DESCRIPTION="Kubernetes IN Docker"
+HOMEPAGE="https://github.com/kubernetes-sigs/kind/"
+BDEPEND=">=dev-lang/go-1.26.7"
+SRC_URI="https://github.com/kubernetes-sigs/kind/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://share.terinstock.com/${P}-vendor.tar.xz"
+
+LICENSE="Apache-2.0"
+LICENSE+=" MIT BSD BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RESTRICT="!test? ( test )"
+DEPEND="test? ( app-containers/docker )"
+
+src_compile() {
+ ego build .
+ ./kind completion bash > "${PN}.bash" || die
+ ./kind completion fish > "${PN}.fish" || die
+ ./kind completion zsh > "${PN}.zsh" || die
+}
+
+src_test() {
+ ego test ./...
+}
+
+src_install() {
+ dobin kind
+
+ newbashcomp "${PN}.bash" "${PN}"
+ dofishcomp "${PN}.fish"
+ newzshcomp "${PN}.zsh" "_${PN}"
+}